/**
 * <copyright>
 * </copyright>
 *
 * $Id: AuxiliaryObjectValidator.java,v 1.1 2008-04-01 09:35:53 vmahe Exp $
 */
package orgomg.cwm.analysis.datamining.miningcore.entrypoint.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.datamining.miningcore.entrypoint.Schema;

import orgomg.cwm.analysis.datamining.miningcore.miningdata.AttributeAssignmentSet;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.datamining.miningcore.entrypoint.AuxiliaryObject}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface AuxiliaryObjectValidator {
	boolean validate();

	boolean validateSchema(Schema value);
	boolean validateAttributeAssignmentSet(EList<AttributeAssignmentSet> value);
}
